import * as ApplicationInsightsInstance from 'applicationinsights';
import { Contracts } from 'applicationinsights';
import { BaseEvent, BpmValidation, ComponentType, CorrelationConstants, ExtensionsConfig, ItEventType, ItTelemetryConfiguration, SerializationHelper, BusinessProcessEvent, FeatureUsageEvent, SystemEvent, EnvironmentValues } from './datacontracts';
export { BaseEvent, BpmValidation, ComponentType, CorrelationConstants, ExtensionsConfig, ItEventType, ItTelemetryConfiguration, SerializationHelper, BusinessProcessEvent, FeatureUsageEvent, SystemEvent, EnvironmentValues };
export declare class UTPTelemetry {
    protected telemetryInstance: ApplicationInsightsInstance.TelemetryClient;
    constructor(instrumentationKey: string, environment: EnvironmentValues);
    TrackTrace(traceMessage: string, severity?: Contracts.SeverityLevel): boolean;
    TrackEvent(eventName: string): boolean;
    TrackMetric(metricName: string, metricValue: number, metricCount: number, minValue?: number, maxValue?: number, stdDev?: number): boolean;
    TrackRequest(requestName: string, requestUrl: string, requestDuration: number, requestResultCode: string | number, isRequestSuccess: boolean, requestSource?: string): boolean;
    TrackDependency(dependencyName: string, dependencyTypeName: string, dependencyData: string, dependencyDuration: number, dependencyResultCode: number, isSuccess: boolean, dependencyTarget?: string): boolean;
    TrackException(exceptionMessage: string, exeptionMesaurements?: {
        [key: string]: number;
    }): boolean;
    TrackFeatureUsageEvent(featureUsageEventData: FeatureUsageEvent): boolean;
    TrackBusinessProcessEvent(bussinessProcessEventData: BusinessProcessEvent): boolean;
    TrackSystemEvent(systemEventData: SystemEvent): boolean;
}
