import { ComponentType } from './ComponentType';
import { ItEventType } from './ItEventType';
export declare class BusinessProcessEvent {
    private businessProcessName;
    private eventName;
    private targetEntityKey;
    private actionUri;
    private appAction;
    private eventType;
    private componentType;
    private xcv;
    private userRoleName;
    private startDateTime;
    private endDateTime;
    private senderId;
    private receiverId;
    private messageId;
    private eventOccurenceTime;
    private templateType;
    constructor(businessProcessName: string, componentType: ComponentType);
    constructor(businessProcessName: string, componentType: ComponentType, startDateTime: Date, endDateTime: Date);
    constructor(businessProcessName: string, componentType: ComponentType, startDateTime: Date, endDateTime: Date, templateType: string);
    BusinessProcessName: string;
    TargetEntityKey: string;
    ActionUri: string;
    AppAction: string;
    EventType: ItEventType;
    readonly TemplateType: string;
    ComponentType: ComponentType;
    Xcv: string;
    UserRoleName: string;
    StartDateTime: Date;
    EndDateTime: Date;
    EventName: string;
    SenderId: string;
    ReceiverId: string;
    MessageId: string;
    EventOccurrenceTime: Date;
    IsValidEvent(): boolean;
    getTelemetryObject(): {};
}
