"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Constants_1 = require("../utils/Constants");
var BusinessProcessEvent = /** @class */ (function () {
    function BusinessProcessEvent(businessProcessName, componentType, startDateTime, endDateTime, templateType) {
        this.BusinessProcessName = businessProcessName;
        this.eventName = businessProcessName;
        this.ComponentType = componentType;
        this.startDateTime = startDateTime;
        this.endDateTime = endDateTime;
        if (typeof this.templateType != 'undefined') {
            this.templateType = templateType;
        }
        else {
            this.templateType = "Internal.BusinessProcessEvent";
        }
    }
    Object.defineProperty(BusinessProcessEvent.prototype, "BusinessProcessName", {
        get: function () {
            return this.businessProcessName;
        },
        set: function (value) {
            this.businessProcessName = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "TargetEntityKey", {
        get: function () {
            return this.targetEntityKey;
        },
        set: function (value) {
            this.targetEntityKey = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "ActionUri", {
        get: function () {
            return this.actionUri;
        },
        set: function (value) {
            this.actionUri = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "AppAction", {
        get: function () {
            return this.appAction;
        },
        set: function (value) {
            this.appAction = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "EventType", {
        get: function () {
            return this.eventType;
        },
        set: function (value) {
            this.eventType = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "TemplateType", {
        get: function () {
            return "Internal.BusinessProcessEvent";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "ComponentType", {
        get: function () {
            return this.componentType;
        },
        set: function (value) {
            this.componentType = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "Xcv", {
        get: function () {
            return this.xcv;
        },
        set: function (value) {
            this.xcv = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "UserRoleName", {
        get: function () {
            return this.userRoleName;
        },
        set: function (value) {
            this.userRoleName = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "StartDateTime", {
        get: function () {
            return this.startDateTime;
        },
        set: function (value) {
            this.startDateTime = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "EndDateTime", {
        get: function () {
            return this.endDateTime;
        },
        set: function (value) {
            this.endDateTime = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "EventName", {
        get: function () {
            return this.eventName;
        },
        set: function (value) {
            this.eventName = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "SenderId", {
        get: function () {
            return this.senderId;
        },
        set: function (value) {
            this.senderId = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "ReceiverId", {
        get: function () {
            return this.receiverId;
        },
        set: function (value) {
            this.receiverId = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "MessageId", {
        get: function () {
            return this.messageId;
        },
        set: function (value) {
            this.messageId = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BusinessProcessEvent.prototype, "EventOccurrenceTime", {
        get: function () {
            return this.eventOccurenceTime;
        },
        set: function (value) {
            this.eventOccurenceTime = value;
        },
        enumerable: true,
        configurable: true
    });
    BusinessProcessEvent.prototype.IsValidEvent = function () {
        return ((typeof this.appAction != "undefined" && 0 !== this.appAction.length) && (typeof this.businessProcessName != "undefined" && 0 !== this.businessProcessName.length) && (typeof this.receiverId != "undefined" && 0 !== this.receiverId.length) && (typeof this.senderId != "undefined" && 0 !== this.senderId.length) && (typeof this.eventOccurenceTime != "undefined"));
    };
    BusinessProcessEvent.prototype.getTelemetryObject = function () {
        var properties = {};
        properties[Constants_1.PropertyName.BusinessProcessName] = this.BusinessProcessName;
        properties[Constants_1.PropertyName.TargetEntityKey] = this.TargetEntityKey;
        properties[Constants_1.PropertyName.AppAction] = this.AppAction;
        properties[Constants_1.PropertyName.ActionUri] = this.ActionUri;
        properties[Constants_1.PropertyName.ComponentType] = this.ComponentType;
        properties[Constants_1.PropertyName.Xcv] = this.Xcv;
        properties[Constants_1.PropertyName.UserRoleName] = this.UserRoleName;
        properties[Constants_1.PropertyName.SenderId] = this.SenderId;
        properties[Constants_1.PropertyName.ReceiverId] = this.ReceiverId;
        properties[Constants_1.PropertyName.MessageId] = this.MessageId;
        properties[Constants_1.PropertyName.EventOccurrenceTime] = this.EventOccurrenceTime;
        properties[Constants_1.PropertyName.EventType] = this.EventType;
        properties[Constants_1.PropertyName.MsitPartB] = true;
        properties[Constants_1.PropertyName.StartDateTime] = this.StartDateTime;
        properties[Constants_1.PropertyName.EndDateTime] = this.EndDateTime;
        properties[Constants_1.PropertyName.TemplateType] = this.TemplateType;
        return properties;
    };
    return BusinessProcessEvent;
}());
exports.BusinessProcessEvent = BusinessProcessEvent;
//# sourceMappingURL=BusinessProcessEvent.js.map